summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-05-22 07:47:45 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-05-22 07:53:48 +0200
commit02947d04ff5b14c2bdeee74fb2117039134f0dc3 (patch)
treedd435a7df53055b8a0e9bd10298b008cd6d06f0d /app-office/libreoffice
parentdev-util/cppunit: 1.14.0 version bump, EAPI 6 (diff)
downloadgentoo-02947d04ff5b14c2bdeee74fb2117039134f0dc3.tar.gz
gentoo-02947d04ff5b14c2bdeee74fb2117039134f0dc3.tar.bz2
gentoo-02947d04ff5b14c2bdeee74fb2117039134f0dc3.zip
app-office/libreoffice: Add USE=firebird upgrade ewarn
Bump live LO xmlsec tarball to 1.2.24 Raise live LO required dev-util/cppunit to 1.14.0 Package-Manager: Portage-2.3.5, Repoman-2.3.1
Diffstat (limited to 'app-office/libreoffice')
-rw-r--r--app-office/libreoffice/Manifest1
-rw-r--r--app-office/libreoffice/libreoffice-5.3.3.2.ebuild8
-rw-r--r--app-office/libreoffice/libreoffice-5.3.9999.ebuild8
-rw-r--r--app-office/libreoffice/libreoffice-9999.ebuild12
4 files changed, 24 insertions, 5 deletions
diff --git a/app-office/libreoffice/Manifest b/app-office/libreoffice/Manifest
index 930824ed0c6..354fd0f1757 100644
--- a/app-office/libreoffice/Manifest
+++ b/app-office/libreoffice/Manifest
@@ -13,3 +13,4 @@ DIST libreoffice-branding-gentoo-0.8.tar.xz 151568 SHA256 22722121be062742624e06
DIST libreoffice-help-5.2.6.2.tar.xz 1446048 SHA256 c0cd648d9994814925083d1a891b63b5e5233718eb8f8782810bb602c0fdb88b SHA512 10568ffb0d7fbd1a01681e52e594b39f120802e8fd70d12824a2be0185bdf491c28818fc8a9fe16fed8533fa61119b90d6f0a1a8f9488a83b33f6a6be2d75e37 WHIRLPOOL e3921ba0b64819b19cd278f7a87dec4313e6cd9df58108170e2d438b0c08644395ac568f7cc601e88ff466e78fa6bbd426fdc9b4a704d3d8693b8c0cb1537ab8
DIST libreoffice-help-5.2.7.2.tar.xz 1940516 SHA256 f7d35c460da96ed2d52cf97baef159382b38e5ce4579c34e65480ff2911cac4b SHA512 c86bc17448fcd1da01e13d3e9fee739610fde390abaf0635cc4593755d102da08a5eea0533076e1a0f8d89f0b32ba5086b155b9b388f317a5e4c669bf17769e1 WHIRLPOOL 4da96a14b70be718109eda5ced62cec85b96e9028fcf65d729a99604598de81edc097bc06577f3ce7958de1316b04d2d2f1f2782c6504a487ffc6ebaaf7feca6
DIST libreoffice-help-5.3.3.2.tar.xz 2127200 SHA256 f9b4fef5f449cdbbcb5796908d0536576585c511173bfccf2ca049b5dcbb0dc7 SHA512 5c73997cf95e4d5acb2693560ac49aef5f589cee22ce22de1ee8f0e0fa2189d8893afe70790895160feb832049943cfc5e1d322bbd9fd7c7d0bbf3b11a8d9a25 WHIRLPOOL fd3c3afc070cb4fe1145ac631e80bbea3333a36c1d10a43b5a16d1dbdee5e78a614617e6290b961ad951b639410205cc5bdadbefe8b55639046ec9633ff269c8
+DIST xmlsec1-1.2.24.tar.gz 1835762 SHA256 99a8643f118bb1261a72162f83e2deba0f4f690893b4b90e1be4f708e8d481cc SHA512 a01feb9af8f85e77f2c5d2d7f596fba3ef58bc593cb9a7c3e883deb38f8292598ba5aa09fa59897fe303f10336a10b0bb0f27171f2b6e6251e694f37f0b9b7d4 WHIRLPOOL d6fbaf232c10a589a2dbe608ad1a29ebc7b80b535e1036a66b75fbdf3d7154e7297b901b035fdd31b992684b4006050a6421dcd9a9f7c1ea2e4b11d83544bf73
diff --git a/app-office/libreoffice/libreoffice-5.3.3.2.ebuild b/app-office/libreoffice/libreoffice-5.3.3.2.ebuild
index d3a6ef3a984..9bf8c1bf067 100644
--- a/app-office/libreoffice/libreoffice-5.3.3.2.ebuild
+++ b/app-office/libreoffice/libreoffice-5.3.3.2.ebuild
@@ -251,7 +251,13 @@ PATCHES=(
pkg_pretend() {
use java || \
- ewarn "If you plan to use lbase application you should enable java or you will get various crashes."
+ ewarn "If you plan to use Base application you should enable java or you will get various crashes."
+
+ if has_version "<app-office/libreoffice-5.3.0[firebird]"; then
+ ewarn "Firebird has been upgraded to version 3.0.0. It is unable to read back Firebird 2.5 data,"
+ ewarn "so embedded firebird odb files created in LibreOffice pre-5.3 cannot be opened with LibreOffice 5.3."
+ ewarn "See also: https://wiki.documentfoundation.org/ReleaseNotes/5.3#Base"
+ fi
if [[ ${MERGE_TYPE} != binary ]]; then
diff --git a/app-office/libreoffice/libreoffice-5.3.9999.ebuild b/app-office/libreoffice/libreoffice-5.3.9999.ebuild
index c1a22c6ae1b..812746ad3bf 100644
--- a/app-office/libreoffice/libreoffice-5.3.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-5.3.9999.ebuild
@@ -250,7 +250,13 @@ PATCHES=(
pkg_pretend() {
use java || \
- ewarn "If you plan to use lbase application you should enable java or you will get various crashes."
+ ewarn "If you plan to use Base application you should enable java or you will get various crashes."
+
+ if has_version "<app-office/libreoffice-5.3.0[firebird]"; then
+ ewarn "Firebird has been upgraded to version 3.0.0. It is unable to read back Firebird 2.5 data,"
+ ewarn "so embedded firebird odb files created in LibreOffice pre-5.3 cannot be opened with LibreOffice 5.3."
+ ewarn "See also: https://wiki.documentfoundation.org/ReleaseNotes/5.3#Base"
+ fi
if [[ ${MERGE_TYPE} != binary ]]; then
diff --git a/app-office/libreoffice/libreoffice-9999.ebuild b/app-office/libreoffice/libreoffice-9999.ebuild
index 3a4baec1e3b..9fa466f0118 100644
--- a/app-office/libreoffice/libreoffice-9999.ebuild
+++ b/app-office/libreoffice/libreoffice-9999.ebuild
@@ -56,7 +56,7 @@ unset DEV_URI
# These are bundles that can't be removed for now due to huge patchsets.
# If you want them gone, patches are welcome.
ADDONS_SRC=(
- "${ADDONS_URI}/86b1daaa438f5a7bea9a52d7b9799ac0-xmlsec1-1.2.23.tar.gz" # modifies source code
+ "${ADDONS_URI}/xmlsec1-1.2.24.tar.gz" # modifies source code
"collada? ( ${ADDONS_URI}/4b87018f7fff1d054939d19920b751a0-collada2gltf-master-cb1d97788a.tar.bz2 )"
"java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
# no release for 8 years, should we package it?
@@ -206,7 +206,7 @@ DEPEND="${COMMON_DEPEND}
>=dev-libs/libxml2-2.7.8
dev-libs/libxslt
dev-perl/Archive-Zip
- dev-util/cppunit
+ >=dev-util/cppunit-1.14.0
>=dev-util/gperf-3
dev-util/intltool
>=dev-util/mdds-1.2.2:1=
@@ -253,7 +253,13 @@ PATCHES=(
pkg_pretend() {
use java || \
- ewarn "If you plan to use lbase application you should enable java or you will get various crashes."
+ ewarn "If you plan to use Base application you should enable java or you will get various crashes."
+
+ if has_version "<app-office/libreoffice-5.3.0[firebird]"; then
+ ewarn "Firebird has been upgraded to version 3.0.0. It is unable to read back Firebird 2.5 data,"
+ ewarn "so embedded firebird odb files created in LibreOffice pre-5.3 cannot be opened with LibreOffice 5.3."
+ ewarn "See also: https://wiki.documentfoundation.org/ReleaseNotes/5.3#Base"
+ fi
if [[ ${MERGE_TYPE} != binary ]]; then